/*
 * lomoco - Logitech Mouse Control for Linux
 *
 * Copyright (c) 2006 by Andreas Schneider <mail@cynapses.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * vim: ts=2 sw=2 et cindent
 */

#include <stdio.h>
#include <lomoco.h>

static int print_devices(lomoco_device_t *device) {
  printf("Lomoco device: %s found, vid: 0x%04x, pid: 0x%04x\n", device->name,
	 device->vid, device->pid);
  return 0;
}

int main() {
  lomoco_base_t *base;

  base = lomoco_init(9);

  lomoco_get_devices(base, print_devices);

  lomoco_finish(base);
  return 0;
}

